## org.openorb.CORBA
Class LoggableLocalObject

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.CORBA.LoggableLocalObject

All Implemented Interfaces:
  org.apache.avalon.framework.logger.LogEnabled, Object

Direct Known Subclasses:
  OpenORBInitInfo

public class LoggableLocalObject
extends LocalObject
implements org.apache.avalon.framework.logger.LogEnabled

Utility class extending LocalObject with support for logging operations.

Constructor Summary
`LoggableLocalObject()`

Method Summary
`void` `enableLogging(org.apache.avalon.framework.logger.Logger logger)` Supply a logging channel to the instance.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggableLocalObject

    public LoggableLocalObject()

Method Detail

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Supply a logging channel to the instance.
  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`